package com.ghy.worker.mapper;

import com.ghy.worker.domain.WorkerSpecialSkill;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 师傅特殊技能Mapper
 *
 * @author HH 2022/6/7
 */
public interface WorkerSpecialSkillMapper {

    int insert(WorkerSpecialSkill workerArea);

    int batchInsert(@Param("workerSpecialSkills") List<WorkerSpecialSkill> workerSpecialSkills);

    int delete(Long[] ids);

    int deleteByWorker(Long workerId);

    List<WorkerSpecialSkill> getByWorker(Long workerId);
}
